<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');





//$estadosAlmacen=unserialize(ESTADOSALMACEN);
//Se detecta este error, ya no están definidos por constantes, sino que vienen por parametros de empresa en el login
$estadosAlmacen=$_SESSION['estadosProductos'];

$reposicion=( isset($_POST['reposicion']) && $_POST['reposicion'] );
if( $reposicion && isset($_POST['codigoProductoReposicion']) && $_POST['codigoProductoReposicion'] ) $codigoProductoReposicion=$_POST['codigoProductoReposicion'];
else $codigoProductoReposicion='';
//echo '<p>Es reposicion: '.$reposicion.' / producto: '.$codigoProductoReposicion.'</p>';

if($_POST['editable']) $noAgrupar='S';

//17-01-2022
if($_POST['procedencia']=='traspaso') {
	$esTraspaso=true;
	$contenedorOrigen=$_POST['contenedorOrigen'];
	$contenedorDestino=$_POST['contenedorDestino'];
	
	//echo '<p>esTraspaso: '.$esTraspaso.'</p>';
	//echo '<p>contenedorOrigen: '.$contenedorOrigen.'</p>';
	//echo '<p>contenedorDestino: '.$contenedorDestino.'</p>';
}
else if($_POST['procedencia']=='ubicacion') {
	$esUbicacion=true;
	$contenedorOrigen=$_POST['contenedor'];
}



$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#PRODUCTOSCONTENEDOR#'.$_SESSION['almacen'].';'.$_POST['contenedor'].';'.$noAgrupar;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

if($_POST['titulo']) { ?><p><?php echo $_POST['titulo']; ?></p><?php }
	





$noTraspasable=($_POST['contenedor']==$contenedorDestino && $resultado[0]['EstadoAlmacen']=='PR');


//echo '<p>Estado almacen: '.$resultado[0]['EstadoAlmacen'].'</p>';
//echo '<p>noTraspasable: '.$noTraspasable.'</p>';

$_SESSION['idClienteObligatorio']=false;



if(!$resultado[0]['Error']) {

	if( $noTraspasable && !$_POST['nomostrarmensajeprevision'] ) {
		?><p class="error"><strong>Atención:</strong> Este palet contiene mercancía en previsión, se puede ubicar pero no se puede traspasar mercancía ni expedir.</p><?php
	}
	
	$columnasFijas=4;
	
	if($_SESSION['mostrarColumnasStockEnProceso']) $columnasFijas=$columnasFijas+2;
	
	$columnasVariables=0;
	

	
	?>
	<?php if($_POST['editable'] && !$noTraspasable) { ?>
    
		<?php include($rutaPhp.$rutaHtml.'/librerias/calculadora.php'); ?>
        
        <form id="formularioTraspaso" name="formularioTraspaso" method="post" action="">
        
        <input type="hidden" name="contenedorOrigenDato" id="contenedorOrigenDato" />
        <input type="hidden" name="ubicacionOrigenDato" id="ubicacionOrigenDato" />
        <input type="hidden" name="contenedorDestinoDato" id="contenedorDestinoDato" />
        <input type="hidden" name="ubicacionDestinoDato" id="ubicacionDestinoDato" />
        <input type="hidden" name="tipoPaletDestinoDato" id="tipoPaletDestinoDato" />
        <input type="hidden" name="idPaletClienteDestinoDato" id="idPaletClienteDestinoDato" />
    
	<?php } ?>
    

    
    
    
    <table class="tablaFormateada">
    <tr>
        <?php if(count($_SESSION['empresas'])>1) { ?>
        <th>Emp.</th>
        <?php $columnasVariables++;; ?>
        <?php } ?>
        
        <?php if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') { ?>
        <th>Cli. Prop.</th>
        <th>Nombre Cli. Prop.</th>
        <?php $columnasVariables=$columnasVariables+2; ?>
        <?php } ?>
        
        <th>Producto</th>
        
        <th>Descripción</th>
        
        <?php if($_SESSION['gestion']!='PUB') { ?>
        <th>Familia</th>
        <?php $columnasVariables++;; ?>
        <?php } ?>
        
        <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
            <?php $columnasVariables++; ?>
            <?php if($comportamiento['Activo']) { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
        <?php } ?>
        
        <th>Estado<br />almacén</th>
        
        <?php //if($_SESSION['gestionDepositos']=='S') { //19-12-2024 Por peticion de ADM y validado por MAE, debe de salir siempre. Ponto salto de carro para que, si sale vacío, la columna no ocupe mucho ?>
        <th>Información<br />adicional</th>
        <?php $columnasVariables++;; ?>
        <?php //} ?>
        
        <th>Stock</th>
        
        <?php if( $_SESSION['mostrarColumnasStockEnProceso'] ) { ?>	 
        <th class="cabecera">En proceso</th>
        <th class="cabecera">Ubicado</th>
        <?php } ?>
        
        <?php if($_SESSION['verEnCajas']=='S') { ?>
        <th>Cajas</th>
        <?php $columnasVariables++;; ?>
        <?php } ?>
        
        <?php if($_POST['editable'] && !$noTraspasable) { ?>
        <th width="240">Traspasar</th>
        <?php } ?>
        
    </tr>
    <?php
    
    unset($_SESSION['productos']);
    
    foreach($resultado as $producto) {
    
        if($producto['ClientePropietarioRequiereIdPalet']=='S') $_SESSION['idClienteObligatorio']=true;
    
        
        $datos=$producto['Datos']['PXMobileProxiumResult'];
        
        //CONSTRUCCION INDICE TRASPASO
        $indice=$producto['ClientePropietario'].'¬'.$producto['Producto'].'¬'.$producto['Entrada'].'¬'.$producto['LineaEntrada'].'¬'.$producto['EstadoAlmacen'];
        foreach($datos as $dato) {
            $indice.='¬'.$dato['Valor'];
        }
        //$indice=base64_encode($indice); //CUIDADO, PONE CARACTERES NO ALFANUMERICOS QUE TB HACEN PETAR EL JAVASCRIPT
        $indice=sha1($indice);
        
        //9-9-2019
        //Utilizaremos esta variable para almacenar los productos del contenedor origen, y despues poder llamar a "ver otros contenedores" en la pantalla TRASPASAR
        //ya que podría haber más de un producto en el contenedor, y no sabemos a cuál se va a traspasar
        $_SESSION['productos'][]=array('producto'=>$producto['Producto'],'clientePropietario'=>$producto['ClientePropietario']);
        
        
        
        $cadenaEnlace='info-producto-'.$_SESSION['tipoGestion'].'.php?producto='.$producto['Producto'];
        if( ($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') && $producto['ClientePropietario'] ) $cadenaEnlace.='&clientePropietario='.$producto['ClientePropietario'];
        if( $esTraspaso ) $cadenaEnlace.='&procedencia=traspaso&contenedorOrigen='.$contenedorOrigen.'&contenedorDestino=.'.$contenedorDestino;
        if( $esUbicacion ) $cadenaEnlace.='&procedencia=ubicacion&contenedorOrigen='.$contenedorOrigen;
        
		//print_r($producto);
        
        ?>
        <tr>
            <?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $producto['Empresa']; ?></td><?php } ?>
            
            <?php if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') { ?>
                <td><?php echo $producto['ClientePropietario']; ?></td>
                <td><?php echo $producto['NombreClientePropietario']; ?></td>
            <?php } ?>
            
            <!--<td><a href="info-producto-<?php echo $_SESSION['tipoGestion']; ?>.php?producto=<?php echo $producto['Producto']; ?><?php if( ($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') && $producto['ClientePropietario'] ) { ?>&clientePropietario=<?php echo $producto['ClientePropietario']; ?><?php } ?><?php if($esTraspaso) { ?>&procedencia=traspaso&contenedorOrigen=<?php echo $contenedorOrigen; ?>&contenedorDestino=<?php echo $contenedorDestino; ?><?php } ?><?php if($esUbicacion) { ?>&procedencia=ubicacion&contenedorOrigen=<?php echo $contenedorOrigen; ?><?php } ?>" class="mostrarCargando"><?php echo $producto['Producto']; ?></a></td>-->
            
            <td><a href="<?php echo $cadenaEnlace; ?>" class="mostrarCargando"><?php echo $producto['Producto']; ?></a></td>
            
            <td align="left"><?php echo $producto['Descripcion']; ?></td>
            
            <?php if($_SESSION['gestion']!='PUB') { ?>
                <td><?php echo $producto['FamiliaDescripcion']; ?></td>
            <?php } ?>
            
            <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                <?php if($comportamiento['Activo']=='S') { ?>
                <td>
                    <?php
                    $cadenaNumerosSerie='';
                    $numerosSerie=arreglaArrayPXMobileProxiumResult($producto['NumerosSerie']);
                    foreach($numerosSerie as $numero) {
                        if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
                        $cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Leido'];
                    }
                    
                    if(is_array($numerosSerie) && count($numerosSerie)>0 && $comportamiento['Codigo']=='NS') {
                        ?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
                    }
                    else foreach($datos as $dato) {
                        if($dato['Codigo']==$comportamiento['Codigo']) {
                        
                            if($dato['Codigo']=='LT') { ?><a href="<?php echo $cadenaEnlace; ?>&lote=<?php echo $dato['Valor']; ?>" class="mostrarCargando"><?php }
                        
                            echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
                            
                            if($dato['Codigo']=='LT') { ?></a><?php }
                            
                            break;
                        }
                    }
                    ?>
                </td>
                <?php } ?>
            <?php } ?>
            
            <td align="center"><?php foreach($estadosAlmacen as $estado) if($estado['Estado']==$producto['EstadoAlmacen']) echo $estado['DescripcionEstado']; ?></td>
            
          <?php //if($_SESSION['gestionDepositos']=='S') { ?>
          <td class="informacionAduanera"><?php echo htmlspecialchars_decode($producto['InformacionAduanera']); ?></td>
          <?php //} ?>
            
            <td align="right"><?php echo $producto['Stock']; //echo number_format($producto['Stock'],0,'','.'); ?></td>
            
            <?php if( $_SESSION['mostrarColumnasStockEnProceso'] ) { ?>	 
            <td align="right"><?php echo $producto['StockEnProceso']; //echo number_format($producto['StockEnProceso'],0,'','.'); ?></th>
            <td align="right"><?php echo $producto['StockUbicacion']; //echo number_format($producto['StockUbicacion'],0,'','.'); ?></th>
            <?php } ?>
            
            <?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo $producto['Cajas']; //echo number_format($producto['Cajas'],2,',','.'); ?></td><?php } ?>
            
            <?php if($_POST['editable'] && !$noTraspasable) { ?>
            
            <td align="left">
            
            <?php $mostrarCantidadTraspasble=( !$codigoProductoReposicion || ( $codigoProductoReposicion && $producto['Producto']==$codigoProductoReposicion ) ); ?>
            
            <?php if($mostrarCantidadTraspasble) { ?>
            
            <?php
            if($_SESSION['verEnCajas']=='S' && $producto['EmbalajePrimarioCaja']) {
                $etiqueta="Cajas";
                $etiquetaInversa="Unidades";
                $cajas=1;
            }
            else {
                $etiqueta="Unidades";
                $etiquetaInversa="Cajas";
                $cajas=0;
            }
            
            
            
                                //15-02-2022 Control decimales
                                if($producto['MaximoDecimalesPermitidos']=='') {
                                    $decimalesPermitir='si';
                                    unset($decimalesPermitirMaximo);
                                }
                                else if($producto['MaximoDecimalesPermitidos']=='0') {
                                    $decimalesPermitir='no';
                                    unset($decimalesPermitirMaximo);
                                }
                                else {
                                    $decimalesPermitir='si';
                                    $decimalesPermitirMaximo=$producto['MaximoDecimalesPermitidos'];
                                }
            
            

            ?>
            <div>
            
                <input type="hidden" id="cajas<?php echo $indice; ?>" name="cajas<?php echo $indice; ?>" value="<?php echo $cajas; ?>" />
                <input type="hidden" id="EmbalajePrimarioCaja<?php echo $indice; ?>" name="EmbalajePrimarioCaja<?php echo $indice; ?>" value="<?php echo $producto['EmbalajePrimarioCaja']; ?>" />
                
                <img src="<?php echo DIR_IMAGENES; ?>/<?php echo $etiquetaInversa; ?>.png" alt="Informar en <?php echo $etiqueta; ?>" <?php if($producto['Cajas']>0) { ?>class="iconoUnidades"<?php } ?> id="iconoUnidades<?php echo $indice; ?>" contador="<?php echo $indice; ?>" style="cursor:pointer;width:50px;height:50px;margin-bottom:-15px;margin-right:-5px;margin-left:-10px;"/>
                <input name="traspasar<?php echo $indice; ?>" type="text" id="traspasar<?php echo $indice; ?>" size="4" maxlength="12" class="cantidad campo" maximo="<?php echo $producto['Stock']; ?>" maximoCajas="<?php echo formateaNumeroDecimal($producto['Cajas']);; ?>" contador="<?php echo $indice; ?>" autocomplete="off" decimalesPermitir="<?php echo $decimalesPermitir; ?>" decimalesPermitirMaximo="<?php echo $decimalesPermitirMaximo; ?>"/>
                <span id="etiqueta<?php echo $indice; ?>"><?php echo $etiqueta; ?></span>
                
            </div>
            
            <?php } //Fin if $mostrarCantidadTraspasble ?>
            
            </td>
            
          <?php } //Fin if editable?>
          
        </tr>
        
    <?php } ?>
    
    <?php if( $_POST['mostrarOtrasUbicaciones'] && $producto['OtrasUbicsConts'] && is_array($producto['OtrasUbicsConts']) && count($producto['OtrasUbicsConts'])>0 ) { ?>
    <tr><td colspan="<?php echo $columnasFijas+$columnasVariables; ?>">
        <p class="mini"><strong>Otras ubicaciones:</strong></p>
        <table class="subtabla">
            <tr>
                <th>Ubicación</th>
                <th>Contenedor</th>
                <th>Stock</th>
                <?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
            </tr>
            <?php foreach($producto['OtrasUbicsConts'] as $otraUbicacion) { ?>
            <tr>
                <td><a href="info-ubicacion-S.php?ubicacion=<?php if($otraUbicacion['AliasUbicacion']) echo $otraUbicacion['AliasUbicacion']; else echo $otraUbicacion['Ubicacion']; ?>" class="mostrarCargando"><?php if($otraUbicacion['AliasUbicacion']) echo $otraUbicacion['AliasUbicacion']; else echo $otraUbicacion['Ubicacion']; ?></a></td>
                <td><a href="info-contenedor-S.php?contenedor=<?php echo $otraUbicacion['Contenedor']; ?>" class="mostrarCargando"><?php echo $otraUbicacion['Contenedor']; ?></a></td>
                <td align="right"><?php echo $otraUbicacion['Stock']; //echo number_format($otraUbicacion['Stock'],0,',','.'); ?></td>
                <?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo $otraUbicacion['Cajas']; //echo number_format($otraUbicacion['Cajas'],2,',','.'); ?></td><?php } ?>
            </tr>
            
            
            <!--
            <AliasUbicacion>D-61-05</AliasUbicacion>
            <Cajas>.3333333333333333333</Cajas>
            <Contenedor>16112800059</Contenedor>
            <Entrada>E16002015</Entrada>
            <NSerie>-</NSerie>
            <Stock>2</Stock>
            <Ubicacion>DFD IMPARES1121</Ubicacion>
            -->
            
            <?php } ?>
        </table>
    </td></tr>
    <?php } ?>
    
    <?php if($_POST['editable'] && !$noTraspasable) { ?>
    
    <tr>
        <td colspan="<?php echo $columnasFijas+$columnasVariables; ?>">
            <input type="button" name="botonSeleccionarTodo" id="botonSeleccionarTodo" value="Seleccionar completo" class=" boton reducido"/></td><td><input type="submit" name="botonTraspaso" id="botonTraspaso" value="TRASPASAR" class="boton"/>
        </td>
    </tr>
    
    <?php } ?>
    
    </table>
    

    
    <div id="popupNumerosSerie" class="popup" style="display:none"></div>
	<div id="popupNumerosSerieContenido" class="popupContenidoScroll" style="display:none"></div>
    
    <script>
	
	$(document).ready(function() {
	
		$('.verNumerosSerie').on('click',function(){
			$.post('<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-numeros-serie.php' , { 'numeros' : $(this).attr('numeros') , 'ocultarPreparado' : 'si' })
			.done(function(data) {
				$('#popupNumerosSerieContenido').html(data);
				$('#popupNumerosSerie').show();
				$('#popupNumerosSerieContenido').show();
					
				var posicion=$(document).scrollTop();
				$('#popupNumerosSerieContenido').offset({ top: posicion+20 });
			});
		});
		
		<?php if($noTraspasable) { ?>
		console.log('traza 1');
		//$('#formularioContenedorDestino').hide();
		<?php } else { ?>
		console.log('traza 2');
		$('#formularioContenedorDestino').show();
		$("#contenedorDestino").focus();
		<?php } ?>
		
	});
	
	</script>
    
    
	<?php if($_POST['editable'] && !$noTraspasable) { ?>
	</form>
	
	<script>
	
	function compruebaCantidadReposicion(){
	
		let resultado=true;
		
		let capacidadUbicacionLeyendo=0;
			
		console.log('capacidadUbicacionLeyendo inicial: '+capacidadUbicacionLeyendo);
		
		$('.cantidad').each(function() {
		
			let valor=parseFloat($(this).val());
			let contador=$(this).attr('contador');
			
			
			if(valor) {
			
				let esCajas=( $('#cajas'+contador).val()==1 );
				
				console.log('esCajas: '+esCajas);
				
				if( esCajas ) {
					let EmbalajePrimarioCaja=parseFloat($('#EmbalajePrimarioCaja'+contador).val());
					console.log('EmbalajePrimarioCaja: '+EmbalajePrimarioCaja);
					valor=valor*EmbalajePrimarioCaja;
				}
				
				console.log('valor: '+valor);
				
				capacidadUbicacionLeyendo+=valor;
			
			}
			
		});
		
		$('#capacidadUbicacionLeyendo').val(capacidadUbicacionLeyendo);
		
		let capacidadUbicacion=parseFloat($('#capacidadUbicacion').val());
		
		if(capacidadUbicacionLeyendo>capacidadUbicacion) {
			alert('Has informado más cantidad de la capacidad de la ubicación',null,'error');
			$('.cantidad').each(function() {
				if($(this).val()) $(this).addClass('campoError');
			});
			resultado=false;
		}
		
		console.log('capacidadUbicacionLeyendo final: '+capacidadUbicacionLeyendo);
		
		return resultado;
	
	}
	
	$(document).ready(function() {
	
		$('#botonSeleccionarTodo').on('click',function(e){
		
			e.preventDefault();
		
			confirm('Deseas introducir de forma automática todas las cantidades<br>para traspasar así el contenedor completo?')
			.done(function(){
			
				$('.cantidad').each(function(){
					var contador=$(this).attr('contador');
					if( $('#cajas'+contador).val()==1 ) {
						var maximoCajas=$(this).attr('maximoCajas');
						var trozos=maximoCajas.split('.');
						if(trozos[1]=='0' || trozos[1]=='00' || trozos[1]=='000') maximoCajas=trozos[0];
						$(this).val( maximoCajas );
					}
					else $(this).val( $(this).attr('maximo') );
				});
			
			});
		
		});
	
		$('.iconoUnidades').on("click",function(e){
		
			var contador=$(this).attr('contador');
	
			if( $('#cajas'+contador).val()==1 ) {
				$(this).attr('src','<?php echo DIR_IMAGENES; ?>/Cajas.png');
				$('#cajas'+contador).val(0);
				$('#etiqueta'+contador).html('Unidades');
				
				var resultado = parseInt( $('#traspasar'+contador).val() * $('#EmbalajePrimarioCaja'+contador).val() );
				
				if(resultado>0) $('#traspasar'+contador).val( resultado );
			}
			else {
				$(this).attr('src','<?php echo DIR_IMAGENES; ?>/Unidades.png');
				$('#cajas'+contador).val(1);
				$('#etiqueta'+contador).html('Cajas');
				
				var flotante = parseFloat( $('#traspasar'+contador).val() / $('#EmbalajePrimarioCaja'+contador).val() );
				var resultado = Math.round(flotante*100)/100;
				
				if(resultado>0) $('#traspasar'+contador).val( resultado );
			}
		
		});
	
		$('.cantidad').on("click",function(e) {
		
			$('#calculadora').show();
			$('#valorCalculadora').val( $(this).val() );
			$('#enterCalculadora').attr('campoValor',$(this).attr('id'));
			$('#enterCalculadora').attr('forzarEnter','si');
			
			if( $(this).attr('decimalesPermitir')=='si' ) $('#botonDecimal').show();
			else $('#botonDecimal').hide();
		
		});
		
		$('.cantidad').on('change',function(e) {
		
			if (event.key === 'Enter') {
				event.preventDefault();
				return false;
			  }
			
			console.log('CANTIDAD CHANGE');
		
			$(this).val( $(this).val().replace(/[^0-9.,]/gi,'') );
			
			<?php if($reposicion) { ?>
			compruebaCantidadReposicion();
			<?php } ?>
			
		});
	
		$('#botonTraspaso').on("click",function(e) {
		
			e.preventDefault();
			
			var hayCantidades=false;
			
			var cantidadPaletCompleto=false;
			
			var errorDecimales=false;
			
			
			
			$('.cantidad').each(function() {
				$(this).removeClass('campoError');
			});
			
			$('.cantidad').each(function() {
			
				if( $(this).val()!='' && $(this).val()>0 ) {
				
					var contador=$(this).attr('contador');
					var maximo;
					
					var esCajas=( $('#cajas'+contador).val()==1 );
					
					if( esCajas ) maximo=parseFloat($(this).attr('maximoCajas'));
					else maximo=parseFloat($(this).attr('maximo'));
					
					var cantidadIntroducida=parseFloat($(this).val());
					
					console.log('TRAZA cantidadIntroducida: '+cantidadIntroducida);
					
					//16-2-2022 Control decimales
					
					var decimalesPermitir;
					var decimalesPermitirMaximo;
					
					if( $(this).attr('decimalesPermitir')=='si' ) decimalesPermitir=true;
					else decimalesPermitir=false;
					
					if( $(this).attr('decimalesPermitirMaximo')>0 ) decimalesPermitirMaximo=$(this).attr('decimalesPermitirMaximo');
					else decimalesPermitirMaximo=null;
				
					if( ! controlDecimales( $(this) , decimalesPermitir , decimalesPermitirMaximo ) ) {
						$(this).addClass('campoError');
						errorDecimales=true;
					}
					
					if( $(this).val()!='' ) hayCantidades=true;
					
					if( esCajas && $(this).val().indexOf('.') != -1 ) {
						alert("Una cantidad en cajas no puede contener decimales",$(this),'error');
						$(this).addClass('campoError');
						e.stop();
					}
					else if(errorDecimales) {
						alert('ERROR: Hay cantidades con un número de decimales no permitido.',null,'error');
						$(this).addClass('campoError');
						e.stop();
					}
					else if( cantidadIntroducida > maximo ) {
						alert("La cantidad excede el stock disponible",null,'error');
						$(this).addClass('campoError');
						e.stop();
					}
					else {
						if( cantidadIntroducida==maximo ) cantidadPaletCompleto=true;
						else cantidadPaletCompleto=false; 
					}
					
				}
				
			});
			
			if($('#contenedorDestinoDato').val()!='') {
				
				console.log('TRAZA hayCantidades: '+hayCantidades);
				
				if( hayCantidades ) {
				
					//18-09-2024 eliminamos del DOM los campos hidden porque saturan el envio en palets con cientos de produtos
					$('.cantidad').each(function() {
						var contador=$(this).attr('contador');
						if($(this).val()=='') {
							$('#cajas'+contador).remove();
							$('#EmbalajePrimarioCaja'+contador).remove();
							//$(this).remove();
						}
					});
					
					if(false) {
					}
					<?php if($reposicion) { ?>
					else if(!compruebaCantidadReposicion()) {
					}
					<?php } ?>
					else {
				
						<?php if( $_SESSION['idClienteObligatorio'] && $_SESSION['mostrarIdsPaletCliente'] ) { ?>
						if( cantidadPaletCompleto && $('#idPaletClienteDestino').val()=='' ) {
							alert('Atención: Es obligatorio indicar el Id de Palet del propio cliente.',$('#idPaletClienteDestino'),'error');
						}
						else {
							$('#popupCargando').show();
							$('#formularioTraspaso').submit();
						}
						<?php } else {?>
						
							$('#popupCargando').show();
							$('#formularioTraspaso').submit();
							
						<?php } ?>
					
					}
				}
				else alert('Atención: No hay especificada ninguna cantidad a traspasar.',null,'error');
				
			}
			else {
				alert('Atención: No hay especificado ningún contenedor destino.',$('#contenedorDestino'),'error');
			}
		});
	
	});
	
	</script>
	<?php
    }
	
}
else {
	$error=explode("#",$resultado[0]['Error']);
	?><p class="error"><?php echo $error[1]; ?></p><?php
}
?>